NVML Fedora 20 with GTX 970

I have installed the new CUDA 6.5 package with support for GTX 970 (Fedora 20 x64), however gpu-deployment-kit has an unfulfilled dependency:

Requires: cuda-drivers = 340.29

The current driver version is 343.19. Is their a separate package of gpu-deployent-kit for CUDA-6.5 with support for this recent card?